[VPN] Problème de connexion au vpn

Applications, problèmes de configuration réseau
superboa
Hankyu
Messages : 43
Inscription : mer. 30 mars 2016, 11:05

[VPN] Problème de connexion au vpn

Message par superboa » sam. 21 juil. 2018, 17:43

Salut,

Depuis quelques jours, je ne peux plus me connecter à mon réseau vpn. Voici le message d’erreur : Cannot specify device when activating VPN.

Une idée de la la source du problème ?

Merci par avance.

Avatar de l’utilisateur
CoudUr
archer
Messages : 113
Inscription : sam. 06 avr. 2013, 17:12

Re: [VPN] Problème de connexion au vpn

Message par CoudUr » dim. 22 juil. 2018, 13:47

Je crois qu'il y a un problème avec le paquet network-manager-applet 1.8.14-1
En faisant un downgrade du paquet ça devrait résoudre le souci ou bien tu peux utiliser la connexion en cli il parait que cela fonctionne aussi.

Liens:
https://bugs.archlinux.org/task/59326
https://bbs.archlinux.org/viewtopic.php?id=238717

Juste pour savoir tu utilises quel environnement de bureau ?

superboa
Hankyu
Messages : 43
Inscription : mer. 30 mars 2016, 11:05

Re: [VPN] Problème de connexion au vpn

Message par superboa » dim. 22 juil. 2018, 18:01

Salut CoudUr,

Merci pour ta réponse. Je vais patienter jusqu'à la prochaine mise à jour dans ce cas. Je ne peux hélas pas rétrograder network-manager-applet car j'ai vidé mon cache récemment.

Pour répondre à ta question, j'utilise Xfce 4.12.

Avatar de l’utilisateur
CoudUr
archer
Messages : 113
Inscription : sam. 06 avr. 2013, 17:12

Re: [VPN] Problème de connexion au vpn

Message par CoudUr » lun. 23 juil. 2018, 13:50

Je ne peux hélas pas rétrograder network-manager-applet car j'ai vidé mon cache récemment.
Ha oui c'était pas le bon moment faut croire, la prochaine fois si tu le peux conserves au moins les 2 dernières versions des paquets.
https://wiki.archlinux.fr/Ameliorer_Pacman#paccache

Tu peux faire un downgrade en utilisant Arch Linux Archive, c'est là où sont conservés les anciens paquets, iso,sauvegardes instantannées des dépots.
Tu trouveras les anciennes versions des paquets en question à ces adresses:
https://archive.archlinux.org/packages/ ... er-applet/
https://archive.archlinux.org/packages/ ... rkmanager/

Si on suit les recommandations des intervenants du bugtracker indiqué plus haut il faudrait que tu downgrade les deux paquets networkmanager et network-manager-applet, ça donnerait quelque chose comme ça:

Code : Tout sélectionner

pacman -U https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.10.10-1-x86_64.pkg.tar.xz 
pacman -U https://archive.archlinux.org/packages/n/network-manager-applet/network-manager-applet-1.8.12-2-x86_64.pkg.tar.xz

Avatar de l’utilisateur
waitnsea
Maître du Kyudo
Messages : 1995
Inscription : jeu. 15 mars 2012, 05:08

Re: [VPN] Problème de connexion au vpn

Message par waitnsea » lun. 23 juil. 2018, 15:46

CoudUr a écrit :
lun. 23 juil. 2018, 13:50
Je ne peux hélas pas rétrograder network-manager-applet car j'ai vidé mon cache récemment.
Tu peux faire un downgrade en utilisant Arch Linux Archive, c'est là où sont conservés les anciens paquets, iso,sauvegardes instantannées des dépots.[/code]
Bonjour,
aur/downgrade fonctionne remarquablement, et il te demande même (poliment) s'il doit marquer le paquet dans Ignore du pacman.conf
LENOVO Y700-341SH i7-6700 3.4gHZ 1 SSD + 2HDD - Arch/KDE - NVidia GeForce GTX 750 T
Sauvegardes quotidiennes de mes système et données par BORG

superboa
Hankyu
Messages : 43
Inscription : mer. 30 mars 2016, 11:05

Re: [VPN] Problème de connexion au vpn (RÉSOLU)

Message par superboa » mar. 24 juil. 2018, 15:38

C’est parfait messieurs, j’ai opté pour la solution de CoudUr… et ça fonctionne parfaitement. J’ai en plus découvert l’existence de Arch Linux Archive. Que demande le peuple !

Merci à tous les 2 pour les infos.
Dernière modification par superboa le mar. 24 juil. 2018, 15:43, modifié 1 fois.

superboa
Hankyu
Messages : 43
Inscription : mer. 30 mars 2016, 11:05

Re: [VPN] Problème de connexion au vpn (RÉSOLU)

Message par superboa » mar. 24 juil. 2018, 15:41

Une dernière question : pamac-aur me propose à nouveau les mises à jour de networkmanager 1.12.0-1 et network-manager-applet 1.8.14-1. Que dois-je faire ?

1. j’ignore ces 2 mises à jour sans rien faire ?
2. Je dois faire une manipulation particulière ?

Avatar de l’utilisateur
CoudUr
archer
Messages : 113
Inscription : sam. 06 avr. 2013, 17:12

Re: [VPN] Problème de connexion au vpn

Message par CoudUr » mar. 24 juil. 2018, 17:10

waitnsea a écrit :Bonjour,
aur/downgrade fonctionne remarquablement, et il te demande même (poliment) s'il doit marquer le paquet dans Ignore du pacman.conf
Sympa la découverte merci, effectivement pour s'éviter de la recherche c'est plutôt agréable pour le coup.
Je dois tout de même avouer préférer faire ça à la mimine mais j'aime beaucoup l'idée.
superboa a écrit : Une dernière question : pamac-aur me propose à nouveau les mises à jour de networkmanager 1.12.0-1 et network-manager-applet 1.8.14-1. Que dois-je faire ?

1. j’ignore ces 2 mises à jour sans rien faire ?
2. Je dois faire une manipulation particulière ?
Pour empêcher ces deux paquets d'être mis à jour il faut les ajouter à la `liste des paquets à ignoner` dans le fichier de configuration /etc/pacman.conf

Code : Tout sélectionner

IgnorePkg= network-manager-applet networkmanager
C'est justement l'un des avantages du paquet proposé par @waitnsea , il peut passer en option `IgnorePkg` les paquets downgradés.

Bien que je ne connaisse pas vraiment pamac je pense qu'après ça il ne proposera plus de mise à jour pour ces deux paquets.

Je le dis à tout hasard mais aussitôt le bug disparu il te faudra les retirer toi même de la `liste des paquet à ignorer` sans quoi il ne seront plus mis à jour du tout.

superboa
Hankyu
Messages : 43
Inscription : mer. 30 mars 2016, 11:05

Re: [VPN] Problème de connexion au vpn (RÉSOLU)

Message par superboa » mar. 24 juil. 2018, 17:40

Très bien, je vais donc ajouter ces 2 paquets au fichier pacman.conf. Encore merci CoudUr et waitnsea pour vos réponses rapides et efficaces.

Répondre